Bug 91729 - dhclient doesn't handle multiple DNS search domains
dhclient doesn't handle multiple DNS search domains
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-27 13:33 EDT by Steve Coile
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-01 16:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Coile 2003-05-27 13:33:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
According to my network administrator, our DHCP servers are returning four DNS
search domains, but dhclient included with RHL 9 is not adding them to
/etc/resolv.conf.  Looking at /sbin/dhclient-script, it appears that there is,
in fact, no support for multiple domains.

Might I also say, having now looked at dhclient to some degree, that it's utter
crap!  Some sort of debugging mode would be nice, to see what data the client is
actually receiving from the server.  I know this isn't Red Hat's problem, though.

Version-Release number of selected component (if applicable):
dhclient-3.0pl1-26

How reproducible:
Always

Steps to Reproduce:
1. Configure DHCP server to provide multiple DNS search domains.
2. Configure dhclient to configure resolver from server-provided config.
3. Run dhclient.
4. Note missing DNS search paths in /etc/resolv.conf.
    

Actual Results:  As described above.

Expected Results:  Multiple domain names in the "search" line in
/etc/resolv.conf following a successful DHCP lease renewal.

Additional info:

Pump and dhcpcd seems to work better than this.  A DNS search path is
fundamental functionality.
Comment 1 Daniel Walsh 2003-06-19 15:28:59 EDT
dhcpd does not support passing of the search parameter.  However you might be
able to modify the domain_name parameter and make it a space separated list
which would then update the /etc/resolv.conf on the clients with the search path.

I am not sure if this will hurt anything but it should work.

Dan

Note You need to log in before you can comment on or make changes to this bug.